
Ryzom - Bug # 1497

Status: Resolved Priority: Normal
Author: yricl Category: Client: General
Created: 09/29/2012 Assignee: kervala
Updated: 10/02/2012 Due date:
Subject: optimize the drawing of radar by removing multiple access to local db
Description

using dB observer reduce the time passed in radar drawing function.

This improves a least a factor of 2 the time spent in the function.

History
#1 - 09/29/2012 02:40 pm - kervala
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:63c43ca2deb4.

#2 - 09/29/2012 02:42 pm - kervala
- Assignee set to kervala
- Target version set to Version 0.9.0

Thanks a lot for your patch! It'll be useful for everyone :)

#3 - 09/30/2012 11:32 pm - arc

Thanks alot indeed!

#4 - 09/30/2012 11:42 pm - kervala

I noticed a good improvement in overall speed :)

#5 - 10/02/2012 12:33 am - yricl
- File radar2.diff added

introducing the predictible branchement optimization MACRO nllikely and nlunlikely (working only on linux with gcc, must be tested on over systems)
 1#    ifdef NL_OS_UNIX
 2
 3#ifndef nllikely
 4#    define nllikely(expr) __builtin_expect(!!(expr), true)
 5#endif
 6#ifndef nlunlikely
 7#    define nlunlikely(expr) __builtin_expect(!!(expr), false)
 8#endif
 9
10#    else // NL_OS_UNIX
11
12#ifndef nllikely
13#    define nllikely(x) (x)
14#endif
15#ifndef nlunlikely
16#    define nlunlikely(x) (x)
17#endif
18
19#    endif // NL_OS_UNIX

Files
radar.diff 12.6 kB 09/29/2012 yricl
radar2.diff 1.9 kB 10/02/2012 yricl
